local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
	disableMovement()
	if not getFlag("BothPathsInE") then
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Pet Me", "CC_natalie_npc_green"))
	else
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Pet Me", "CC_natalie_npc_greenB"))
	end
	enableMovement()
end

function onEnd()
	enableMovement()
end